> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Integrations

> Query integrations with pagination support



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/integrations/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/integrations/query:
    post:
      tags:
        - Integration Management
      summary: Query Integrations
      description: Query integrations with pagination support
      operationId: queryIntegrations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationQueryParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseIntegrationGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    IntegrationQueryParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        sort:
          $ref: '#/components/schemas/IntegrationSort'
        filter:
          $ref: '#/components/schemas/IntegrationFilterParam'
    PaginatedResponseIntegrationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/IntegrationGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    IntegrationSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - ID
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    IntegrationFilterParam:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/OrdinalStatusListFilter'
        apiName:
          $ref: '#/components/schemas/ApiNameListFilter'
      description: Filter for items in the response.
    IntegrationGetDto:
      required:
        - additionalConsentRequired
        - apiAccessToken
        - apiName
        - iconUrl
        - id
        - status
      type: object
      properties:
        id:
          type: string
          description: Integration ID
          example: int_12345
        status:
          type: string
          description: Integration status
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        apiName:
          type: string
          description: API provider name
          example: PLAID
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        iconUrl:
          type: string
          description: Icon URL for the integration
          nullable: true
          example: https://cdn.sandbox.tight.com/icons/banks/56.png
        apiUsername:
          type: string
          description: API username
          nullable: true
        lastSyncedDate:
          type: string
          description: Last synced date
          format: date
          nullable: true
        apiAccessToken:
          type: string
          description: API access token
        apiInstitutionId:
          type: string
          description: API institution ID (Plaid only)
          nullable: true
        apiInstitutionName:
          type: string
          description: API institution name (Plaid only)
          nullable: true
        apiErrorType:
          type: string
          description: API error type (Plaid only)
          nullable: true
        apiErrorCode:
          type: string
          description: API error code (Plaid only)
          nullable: true
        additionalConsentRequired:
          type: boolean
          description: >-
            Whether additional consent is required to continue syncing (Plaid
            only)
          example: false
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    OrdinalStatusListFilter:
      type: object
      properties:
        in:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        notIn:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        equal:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        notEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
    ApiNameListFilter:
      type: object
      properties:
        in:
          type: array
          items:
            type: string
            enum:
              - BOX
              - CLOVER
              - STRIPE
              - PLAID
              - KNOX
              - UBER
              - FRESHBOOKS
              - HARVEST
              - KW
              - FRESHBOOKS2
              - CAPITAL_ONE
              - SQUARE
              - DOTLOOP
              - REALOGY
              - UPWORK
              - SHOPIFY
              - DEDUCTR
              - ENTERPRISE
              - MOXIWORKS
              - APPDIRECT
              - LONEWOLF
              - LONEWOLF_TRANSACTIONDESK
              - SAMPLE_BANK
              - TAXBOT
              - GUSTO
              - XERO
              - UNIT
              - MOOV
              - QBO
              - QUALPAY
              - BENCH
              - PARTNER_IMPLEMENTATION
              - CHECK
              - RUTTER
              - WAVE
              - MANUAL_ENTRY
              - CSV_IMPORT
              - ADYEN
              - PAYABLI
        notIn:
          type: array
          items:
            type: string
            enum:
              - BOX
              - CLOVER
              - STRIPE
              - PLAID
              - KNOX
              - UBER
              - FRESHBOOKS
              - HARVEST
              - KW
              - FRESHBOOKS2
              - CAPITAL_ONE
              - SQUARE
              - DOTLOOP
              - REALOGY
              - UPWORK
              - SHOPIFY
              - DEDUCTR
              - ENTERPRISE
              - MOXIWORKS
              - APPDIRECT
              - LONEWOLF
              - LONEWOLF_TRANSACTIONDESK
              - SAMPLE_BANK
              - TAXBOT
              - GUSTO
              - XERO
              - UNIT
              - MOOV
              - QBO
              - QUALPAY
              - BENCH
              - PARTNER_IMPLEMENTATION
              - CHECK
              - RUTTER
              - WAVE
              - MANUAL_ENTRY
              - CSV_IMPORT
              - ADYEN
              - PAYABLI
        equal:
          type: string
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        notEqual:
          type: string
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````